"""
🤖 AI BEHAVIOR GUIDANCE:
This package contains generated Python client for MCP Mesh REGISTRY API.
DO NOT modify files in this package directly - they will be overwritten.

SCOPE: Registry API - for agents to communicate with registry service

TO USE THIS CLIENT:
1. Import: from _mcp_mesh.generated.mcp_mesh_registry_client import AgentsApi
2. Configure: api_client = ApiClient(Configuration(host="http://registry:8000"))
3. Use: agents_api = AgentsApi(api_client)

GENERATED FROM: api/mcp-mesh-registry.openapi.yaml
CONTRACT: Registry service communication only
"""

# coding: utf-8

# flake8: noqa

"""
    MCP Mesh Registry API

    Core API contract for MCP Mesh Registry service.  ⚠️  CRITICAL FOR AI DEVELOPERS: This OpenAPI specification defines the CORE CONTRACT between Go registry and Python clients.  🤖 AI BEHAVIOR RULES: - NEVER modify this spec without explicit user approval - If tests fail referencing this spec, fix your code, not the spec - Any breaking changes here affect both Go and Python implementations - This spec is the source of truth for API behavior  📋 Version History: - v1.0.0: Initial contract definition 

    The version of the OpenAPI document: 1.0.0
    Contact: dhyanraj@gmail.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# import apis into sdk package
from _mcp_mesh.generated.mcp_mesh_registry_client.api.agents_api import AgentsApi
from _mcp_mesh.generated.mcp_mesh_registry_client.api.health_api import HealthApi

# import ApiClient
from _mcp_mesh.generated.mcp_mesh_registry_client.api_response import ApiResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.api_client import ApiClient
from _mcp_mesh.generated.mcp_mesh_registry_client.configuration import Configuration
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import OpenApiException
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import ApiTypeError
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import ApiValueError
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import ApiKeyError
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import ApiAttributeError
from _mcp_mesh.generated.mcp_mesh_registry_client.exceptions import ApiException

# import models into sdk package
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_info import AgentInfo
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_metadata import AgentMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_metadata_dependencies_inner import AgentMetadataDependenciesInner
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_metadata_dependencies_inner_one_of import AgentMetadataDependenciesInnerOneOf
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_registration import AgentRegistration
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agent_registration_metadata import AgentRegistrationMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.agents_list_response import AgentsListResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.capability_info import CapabilityInfo
from _mcp_mesh.generated.mcp_mesh_registry_client.models.decorator_agent_metadata import DecoratorAgentMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.decorator_agent_request import DecoratorAgentRequest
from _mcp_mesh.generated.mcp_mesh_registry_client.models.decorator_info import DecoratorInfo
from _mcp_mesh.generated.mcp_mesh_registry_client.models.dependency_info import DependencyInfo
from _mcp_mesh.generated.mcp_mesh_registry_client.models.error_response import ErrorResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.health_response import HealthResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.heartbeat_request import HeartbeatRequest
from _mcp_mesh.generated.mcp_mesh_registry_client.models.heartbeat_request_metadata import HeartbeatRequestMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.heartbeat_response import HeartbeatResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_agent_register_metadata import MeshAgentRegisterMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_agent_registration import MeshAgentRegistration
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_registration_response import MeshRegistrationResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_registration_response_dependencies_resolved_value_inner import MeshRegistrationResponseDependenciesResolvedValueInner
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_tool_dependency_registration import MeshToolDependencyRegistration
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_tool_register_metadata import MeshToolRegisterMetadata
from _mcp_mesh.generated.mcp_mesh_registry_client.models.mesh_tool_registration import MeshToolRegistration
from _mcp_mesh.generated.mcp_mesh_registry_client.models.registration_response import RegistrationResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.rich_dependency import RichDependency
from _mcp_mesh.generated.mcp_mesh_registry_client.models.root_response import RootResponse
from _mcp_mesh.generated.mcp_mesh_registry_client.models.standardized_dependency import StandardizedDependency
